<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <title>Laravel</title>
        @include('layouts.head')
    </head>
    <body class="light">
        {{-- pre loader --}}
        @include('layouts.pre_loader')
        <div id="app">

            @include('layouts.aside_left')
            @include('layouts.header')

            {{-- page body start here --}}

            <div class="page has-sidebar-left height-full">
                <header class="blue accent-3 relative nav-sticky">
                    <div class="container-fluid text-white">
                        <div class="row p-t-b-10 ">
                            <div class="col">
                                <h4>
                                    <i class="icon-box"></i>
                                    Dashboard
                                </h4>
                            </div>
                        </div>
                        <div class="row">
                            <ul class="nav responsive-tab nav-material nav-material-white" id="v-pills-tab">
                                <li>
                                    <a class="nav-link active" id="v-pills-1-tab" data-toggle="pill" href="#v-pills-1">
                                        <i class="icon icon-home2"></i>Today</a>
                                </li>
                                <li>
                                    <a class="nav-link" id="v-pills-2-tab" data-toggle="pill" href="#v-pills-2"><i class="icon icon-plus-circle mb-3"></i>Yesterday</a>
                                </li>
                                <li>
                                    <a class="nav-link" id="v-pills-3-tab" data-toggle="pill" href="#v-pills-3"><i class="icon icon-calendar"></i>By Date</a>
                                </li>
                            </ul>
                            <a class="btn-fab absolute fab-right-bottom btn-primary" data-toggle="control-sidebar">
                                <i class="icon icon-menu"></i>
                            </a>
                        </div>
                    </div>
                </header>
                <div class="container-fluid relative animatedParent animateOnce">
                    <div class="tab-content pb-3" id="v-pills-tabContent">
                        <!--Today Tab Start-->
                        <div class="tab-pane animated fadeInUpShort show active" id="v-pills-1">
                            <div class="row my-3">
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-note-list text-light-blue s-48"></span>
                                            </div>
                                            <div class="counter-title">Web Projects</div>
                                            <h5 class="sc-counter mt-3">1228</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar" role="progressbar" style="width: 25%;" aria-valuenow="25"
                                                 aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-mail-envelope-open s-48"></span>
                                            </div>
                                            <div class="counter-title ">Premium Themes</div>
                                            <h5 class="sc-counter mt-3">1228</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar" role="progressbar" style="width: 50%;" aria-valuenow="25"
                                                 aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-stop-watch3 s-48"></span>
                                            </div>
                                            <div class="counter-title">Support Requests</div>
                                            <h5 class="sc-counter mt-3">1228</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar" role="progressbar" style="width: 75%;" aria-valuenow="25"
                                                 aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-inbox-document-text s-48"></span>
                                            </div>
                                            <div class="counter-title">Support Requests</div>
                                            <h5 class="sc-counter mt-3">550</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar" role="progressbar" style="width: 25%;" aria-valuenow="25"
                                                 aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="white p-5 r-5">
                                        <div class="card-title">
                                            <h5> Sales Overview</h5>
                                        </div>
                                        <div class="row my-3">
                                            <div class="col-md-3">
                                                <div class="my-3 mt-4">
                                                    <h5>Sales <span class="red-text">+203.48</span></h5>
                                                    <span class="s-24">$2652.07</span>
                                                    <p>A short summary of sales report if you want to add here. This could be useful
                                                        for quick view.</p>
                                                </div>
                                                <div class="row no-gutters bg-light r-3 p-2 mt-5">
                                                    <div class="col-md-6 b-r p-3">
                                                            <h5>Net Sales</h5>
                                                            <span>$2351.08 </span>
                                                    </div>
                                                    <div class="col-md-6 p-3">
                                                        <div class="">
                                                            <h5>Costs <span class="amber-text">+87.4</span></h5>
                                                            <span>$900.09</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-9" style="height: 350px">
                                                <canvas data-chart="line" data-dataset="[
                                                                        [0, 15, 4, 30, 8, 5, 18],
                                                                        [1, 7, 21, 4, 12, 5, 10],
                                                            
                                                                        ]" data-labels="['A', 'B', 'C', 'D', 'E', 'F']"
                                                        data-dataset-options="[
                                                                        {   label:'HTML',
                                                                            fill: true,
                                                                            backgroundColor: 'rgba(50,141,255,.2)',
                                                                            borderColor: '#328dff',
                                                                            pointBorderColor: '#328dff',
                                                                            pointBackgroundColor: '#fff',
                                                                            pointBorderWidth: 2,
                                                                            borderWidth: 1,
                                                                            borderJoinStyle: 'miter',
                                                                            pointHoverBackgroundColor: '#328dff',
                                                                            pointHoverBorderColor: '#328dff',
                                                                            pointHoverBorderWidth: 1,
                                                                            pointRadius: 3,
                                                                            
                                                                        },
                                                                        {  
                                                                            label:'Wordpress',
                                                                            fill: false,
                                                                            borderDash: [5, 5],
                                                                            backgroundColor: 'rgba(87,115,238,.3)',
                                                                            borderColor: '#1FA7A8',
                                                                            pointBorderColor: '#1FA7A8',
                                                                            pointBackgroundColor: '#1FA7A8',
                                                                            pointBorderWidth: 2,
                                                            
                                                                            borderWidth: 1,
                                                                            borderJoinStyle: 'miter',
                                                                            pointHoverBackgroundColor: '#1FA7A8',
                                                                            pointHoverBorderColor: '#fff',
                                                                            pointHoverBorderWidth: 1,
                                                                            pointRadius: 3,
                                                                            
                                                                        }
                                                                        ]"
                                                        data-options="{
                                                                                maintainAspectRatio: false,
                                                                                legend: {
                                                                                    display: true
                                                                                },
                                                                    
                                                                                scales: {
                                                                                    xAxes: [{
                                                                                        display: true,
                                                                                        gridLines: {
                                                                                            zeroLineColor: '#eee',
                                                                                            color: '#eee',
                                                                                        
                                                                                            borderDash: [5, 5],
                                                                                        }
                                                                                    }],
                                                                                    yAxes: [{
                                                                                        display: true,
                                                                                        gridLines: {
                                                                                            zeroLineColor: '#eee',
                                                                                            color: '#eee',
                                                                                            borderDash: [5, 5],
                                                                                        }
                                                                                    }]
                                                                    
                                                                                },
                                                                                elements: {
                                                                                    line: {
                                                                                    
                                                                                        tension: 0.4,
                                                                                        borderWidth: 1
                                                                                    },
                                                                                    point: {
                                                                                        radius: 2,
                                                                                        hitRadius: 10,
                                                                                        hoverRadius: 6,
                                                                                        borderWidth: 4
                                                                                    }
                                                                                }
                                                                            }">
                                                </canvas>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row row-eq-height">
                                <!-- Chat Widget Start -->
                                <div class="col-md-4">
                                    <div class="card my-3 no-b r-5">
                                        <div class="card-header white no-b">
                                            <h6><span class="badge badge-danger r-3 mr-2">5</span>New Chats </h6>
                                        </div>
                                        <div class="card-body chat-widget  p-3 r-5 slimScroll" data-height="435">
                                            <ul class="list-unstyled">
                                                <li class="by-me">
                                                    <div class="avatar float-left">
                                                        <img src="assets/img/dummy/u1.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator busy"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <!-- In meta area, first include "name" and then "time" -->
                                                        <div class="chat-meta">Sent
                                                            <span class="float-right">3 hours ago</span>
                                                        </div>
                                                        Vivamus diam elit diam, consectetur dapibus adipiscing elit.
                                                    </div>
                                                </li>
                                                <!-- Chat by other. Use the class "by-other". -->
                                                <li class="by-other">
                                                    <!-- Use the class "float-right" in avatar -->
                                                    <div class="avatar float-right">
                                                        <!-- Online or offline -->
                                                        <b class="c-off"></b>
                                                        <img src="assets/img/dummy/u4.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator idle"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <!-- In the chat meta, first include "time" then "name" -->
                                                        <div class="chat-meta">3 hours ago
                                                            <span class="float-right">Received</span>
                                                        </div>
                                                        Vivamus diam elit diam, consectetur elit.
                                                    </div>
                                                </li>
                                                <li class="by-me">
                                                    <div class="avatar float-left">
                                                        <b class="c-on"></b>
                                                        <img src="assets/img/dummy/u5.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator online"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <div class="chat-meta">Seen
                                                            <span class="float-right">4 hours ago</span>
                                                        </div>
                                                        Lorem dolor sit sit amet dolo.
                                                    </div>
                                                </li>
                                                <li class="by-other">
                                                    <!-- Use the class "float-right" in avatar -->
                                                    <div class="avatar float-right">
                                                        <b class="c-off"></b>
                                                        <img src="assets/img/dummy/u4.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator online"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <!-- In the chat meta, first include "time" then "name" -->
                                                        <div class="chat-meta">3 hours ago
                                                            <span class="float-right">Undelivered</span>
                                                        </div>
                                                        Vivamus diam elit diam, consectetur.
                                                    </div>
                                                </li>
                                                <li class="by-me">
                                                    <div class="avatar float-left">
                                                        <b class="c-on"></b>
                                                        <img src="assets/img/dummy/u3.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator bust"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <div class="chat-meta">Audio
                                                            <span class="float-right">4 hours ago</span>
                                                        </div>
                                                        Vivamus diam eget, Vivamus consectetur.
                                                    </div>
                                                </li>
                                                <li class="by-other">
                                                    <!-- Use the class "float-right" in avatar -->
                                                    <div class="avatar float-right">
                                                        <b class="c-off"></b>
                                                        <img src="assets/img/dummy/u2.png" alt="" class="img-responsive">
                                                        <span class="avatar-badge has-indicator online"></span>
                                                    </div>
                                                    <div class="chat-content">
                                                        <!-- In the chat meta, first include "time" then "name" -->
                                                        <div class="chat-meta">3 hours ago
                                                            <span class="float-right">Image</span>
                                                        </div>
                                                        Duis dolor sit eut purus dolor feugius diam elit diamt.
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="card-footer white">
                                            <!-- Chat button -->
                                            <form>
                                                <div class="input-group">
                                                    <input class="form-control s-12 bg-light r-30 mr-3"
                                                           placeholder="Type your message..." type="text">
                                                    <span class="input-group-btn">
                                                                    <button type="submit" class="btn-fab btn-danger p-0 s-14"><i
                                                                            class="icon-subdirectory_arrow_left"></i></button>
                                                                </span>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <!-- Followers -->
                                <div class="col-md-3">
                                    <div class="card no-b r-5 my-3">
                                        <div class="card-body">
                                            <h5 class="card-title">New Followers <span class="badge badge-success r-3">30+</span>
                                            </h5>
                                            <p>There are 30 new followers</p>
                                            <div class="avatar-group">
                                                <figure class="avatar">
                                                    <img src="assets/img/dummy/u4.png" alt=""></figure>
                                                <figure class="avatar">
                                                    <span class="avatar-letter avatar-letter-l circle"></span>
                                                </figure>
                                                <figure class="avatar">
                                                    <img src="assets/img/dummy/u5.png" alt=""></figure>
                                                <figure class="avatar">
                                                    <img src="assets/img/dummy/u6.png" alt=""></figure>
                                                <figure class="avatar">
                                                    <img src="assets/img/dummy/u7.png" alt="">
                                                </figure>
                                                <figure class="avatar">
                                                    <span class="avatar-letter avatar-letter-a circle"></span>
                                                </figure>
                                                <figure class="avatar">
                                                    <span class="avatar-letter avatar-letter-b circle"></span>
                                                </figure>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card no-b r-5 my-3">
                                        <div class="bg-primary text-white lighten-2 r-5">
                                            <div class="pt-5 pb-0 pl-4 pr-4">
                                                <div class="lightSlider masonry-container" data-item="1" data-item-md="1"
                                                     data-item-sm="1" data-auto="true" data-pause="6000" data-pager="false" data-controls="false" data-loop="true">
                                                    <div>
                                                        <h5 class="font-weight-normal s-14">Followers Increased</h5>
                                                        <div class="my-5">
                                                              <span>
                                                           Today 30%</span>
                                                            <div class="progress" style="height: 3px;">
                                                                <div class="progress-bar bg-success" role="progressbar" style="width: 25%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                        <div class="my-5">
                                                              <span>
                                                           Yesterday 10%</span>
                                                            <div class="progress" style="height: 3px;">
                                                                <div class="progress-bar bg-success" role="progressbar" style="width: 25%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                        <canvas width="378" height="140" data-chart="spark" data-chart-type="bar"
                                                            data-dataset="[[28,530,200,430,28,530,200,430,28,530,200,430,28,530,200,430,28,530,200,430]]"
                                                            data-labels="['a','b','c','d','a','b','c','d','a','b','c','d','a','b','c','d','a','b','c','d']"
                                                            data-dataset-options="[
                                                                    { borderColor:  'rgba(54, 162, 235, 1)', backgroundColor: 'rgba(54, 162, 235,1)'},
                                                                    ]">
                                                    </canvas>
                                                    </div>
                                                    <div>
                                                        <h5 class="font-weight-normal s-14">Followers Increased</h5>
                                                        <div class="my-5">
                                                              <span>
                                                           Today 30%</span>
                                                            <div class="progress" style="height: 3px;">
                                                                <div class="progress-bar bg-success" role="progressbar" style="width: 25%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                        <div class="my-5">
                                                              <span>
                                                           Yesterday 10%</span>
                                                            <div class="progress" style="height: 3px;">
                                                                <div class="progress-bar bg-success" role="progressbar" style="width: 25%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                                            </div>
                                                        </div>
                                                        <canvas width="378" height="140" data-chart="spark" data-chart-type="line"
                                                                data-dataset="[[28,530,200,430,28,530,200,430,28,530,200,430,28,530,200,430,28,530,200,430]]"
                                                                data-labels="['a','b','c','d','a','b','c','d','a','b','c','d','a','b','c','d','a','b','c','d']"
                                                                data-dataset-options="[
                                                                    { borderColor:  'rgba(54, 162, 235, 1)', backgroundColor: 'rgba(54, 162, 235,1)'},
                                                                    ]">
                                                        </canvas>
                                                    </div>
                                                </div>
                                            </div>
            
                                        </div>
                                    </div>
                                </div>
                                <!-- Daily Sale Report-->
                                <div class="col-md-5">
                                    <div class="card my-3 no-b ">
                                        <div class="card-header white b-0 p-3">
                                            <div class="card-handle">
                                                <a data-toggle="collapse" href="#salesCard" aria-expanded="false"
                                                   aria-controls="salesCard">
                                                    <i class="icon-menu"></i>
                                                </a>
                                            </div>
                                            <h4 class="card-title">Daily Sale Report</h4>
                                            <small class="card-subtitle mb-2 text-muted">Items purchase by users.</small>
                                        </div>
                                        <div class="collapse show" id="salesCard">
                                            <div class="card-body p-0">
                                                <div class="table-responsive">
                                                    <table class="table table-hover earning-box">
                                                        <thead class="bg-light">
                                                        <tr>
                                                            <th colspan="2">Client Name</th>
                                                            <th>Item Purchased</th>
                                                            <th>Price</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr>
                                                            <td class="w-10">
                                                                <a href="panel-page-profile.html" class="avatar avatar-lg">
                                                                    <img src="assets/img/dummy/u6.png" alt="">
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <h6>Sara Kamzoon</h6>
                                                                <small class="text-muted">Marketing Manager</small>
                                                            </td>
                                                            <td>25</td>
                                                            <td>$250</td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-10">
                                                                <a href="panel-page-profile.html" class="avatar avatar-lg">
                                                                    <img src="assets/img/dummy/u7.png" alt="">
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <h6>Sara Kamzoon</h6>
                                                                <small class="text-muted">Marketing Manager</small>
                                                            </td>
                                                            <td>25</td>
                                                            <td>$250</td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-10">
                                                                <a href="panel-page-profile.html" class="avatar avatar-lg">
                                                                    <img src="assets/img/dummy/u9.png" alt="">
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <h6>Sara Kamzoon</h6>
                                                                <small class="text-muted">Marketing Manager</small>
                                                            </td>
                                                            <td>25</td>
                                                            <td>$250</td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-10">
                                                                <a href="panel-page-profile.html" class="avatar avatar-lg">
                                                                    <img src="assets/img/dummy/u11.png" alt="">
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <h6>Sara Kamzoon</h6>
                                                                <small class="text-muted">Marketing Manager</small>
                                                            </td>
                                                            <td>25</td>
                                                            <td>$250</td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-10">
                                                                <a href="panel-page-profile.html" class="avatar avatar-lg">
                                                                    <img src="assets/img/dummy/u12.png" alt="">
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <h6>Sara Kamzoon</h6>
                                                                <small class="text-muted">Marketing Manager</small>
                                                            </td>
                                                            <td>25</td>
                                                            <td>$250</td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Today Tab End-->
                        <!--Yesterday Tab Start-->
                        <div class="tab-pane animated fadeInUpShort" id="v-pills-2">
                            <div class="row my-3">
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-note-list text-light-blue s-48"></span>
                                            </div>
                                            <div class="counter-title">Web Projects</div>
                                            <h5 class="sc-counter mt-3">3000</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar bg-warning" role="progressbar" style="width: 25%;"
                                                 aria-valuenow="25" aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-mail-envelope-open s-48"></span>
                                            </div>
                                            <div class="counter-title ">Premium Themes</div>
                                            <h5 class="sc-counter mt-3">1000</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar bg-success" role="progressbar" style="width: 50%;"
                                                 aria-valuenow="25" aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-stop-watch3 s-48"></span>
                                            </div>
                                            <div class="counter-title">Support Requests</div>
                                            <h5 class="sc-counter mt-3">600</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar" role="progressbar" style="width: 75%;" aria-valuenow="25"
                                                 aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="counter-box white r-5 p-3">
                                        <div class="p-4">
                                            <div class="float-right">
                                                <span class="icon icon-inbox-document-text s-48"></span>
                                            </div>
                                            <div class="counter-title">Support Requests</div>
                                            <h5 class="sc-counter mt-3">525</h5>
                                        </div>
                                        <div class="progress progress-xs r-0">
                                            <div class="progress-bar bg-danger" role="progressbar" style="width: 25%;"
                                                 aria-valuenow="25" aria-valuemin="0" aria-valuemax="128"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row my-3">
                                <div class="col-md-12">
                                    <div class="white p-5 r-5">
                                        <div style="height: 528px">
                                            <canvas
                                                    data-chart="line"
                                                    data-dataset="[
                                                            [0,528,228,728,528,1628,0],
                                                            [0,628,228,1228,428,1828,0],
                                                            ]"
                                                    data-labels="['Blue','Yellow','Green','Purple','Orange','Red','Indigo']"
                                                    data-dataset-options="[
                                                        { label:'Sales', borderColor:  'rgba(54, 162, 235, 1)', backgroundColor: 'rgba(54, 162, 235,1)'},
                                                        { label:'Orders', borderColor:  'rgba(255,99,132,1)', backgroundColor: 'rgba(255, 99, 132, 1)' }]"
                                                    data-options="{
                                                            maintainAspectRatio: false,
                                                            legend: {
                                                                display: true
                                                            },
                                                
                                                            scales: {
                                                                xAxes: [{
                                                                    display: true,
                                                                    gridLines: {
                                                                        zeroLineColor: '#eee',
                                                                        color: '#eee',
                                                                  
                                                                        borderDash: [5, 5],
                                                                    }
                                                                }],
                                                                yAxes: [{
                                                                    display: true,
                                                                    gridLines: {
                                                                        zeroLineColor: '#eee',
                                                                        color: '#eee',
                                                                        borderDash: [5, 5],
                                                                    }
                                                                }]
                                                
                                                            },
                                                            elements: {
                                                                line: {
                                                                
                                                                    tension: 0.4,
                                                                    borderWidth: 1
                                                                },
                                                                point: {
                                                                    radius: 2,
                                                                    hitRadius: 10,
                                                                    hoverRadius: 6,
                                                                    borderWidth: 4
                                                                }
                                                            }
                                                        }">
                                            </canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Yesterday Tab Start-->
                        <!--Yesterday Tab Start-->
                        <div class="tab-pane animated fadeInUpShort" id="v-pills-3">
                            <div class="row">
                                <div class="col-md-4 mx-md-auto m-5">
                                    <div class="card no-b shadow">
                                        <div class="card-body p-4">
                                            <div>
                                                <i class="icon-calendar-check-o s-48 text-primary"></i>
                                                <p class="p-t-b-20">Hey Soldier welcome back signin now there is lot of new stuff
                                                    waiting
                                                    for you</p>
                                            </div>
                                            <form action="dashboard2.html">
                                                <div class="form-group has-icon"><i class="icon-calendar"></i>
                                                    <input class="form-control form-control-lg datePicker" placeholder="Date From"
                                                           type="text">
                                                </div>
                                                <div class="form-group has-icon"><i class="icon-calendar"></i>
                                                    <input class="form-control form-control-lg datePicker" placeholder="Date TO"
                                                           type="text">
                                                </div>
                                                <input class="btn btn-success btn-lg btn-block" value="Get Data" type="submit">
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--Yesterday Tab Start-->
                    </div>
                </div>
            </div>

            {{-- page body end here --}}
        </div>
        @include('layouts.scripts')

    </body>
</html>
