
<?php $__env->startSection('page_header'); ?>
Dashboard
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <div class="row my-3">
        <div class="card p-3 col-md-12 mb-4 mx-3">
            <div class="box-header with-border">
                <h5 class="ml-3">Filter <span class="icon icon-filter"></span></h5>
                <form>
                    <div class="d-flex justify-content-start">

                        <div class="col-md-4 mb-3">
                            <label for="start_date">Start Date</label>
                            <input type="date" id="start_date" name="start_date" value="<?php echo e($start_date); ?>" class="form-control">
                            
                            <div class="text-danger start_date_error" style="display: none">Start Date Cannot be greater than End Date</div>
                            
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="end_date">End Date</label>
                            <input type="date" id="end_date" name="end_date" value="<?php echo e($end_date); ?>" class="form-control">
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="search_language">Actions:</label>
                            <br>
                            
                            <button value="fetch" name="action" class="btn-success btn-sm btn mb-2 cursor-pointer">
                                <i class="icon-search4"></i>
                                Fetch Results
                            </button>
                            
                            <a href="<?php echo e(route('admin.home')); ?>" class="btn-warning btn-sm btn mb-2 cursor-pointer">
                                &times;
                                Clear
                            </a>
                            
                        </div>



                    </div>
                </form>
            </div>
        </div>

        <div class="col-md-3 my-2">
            <div class="counter-box white r-5 p-3">
                <div class="p-4">
                    <div class="float-right">
                        <span class="icon icon-money text-success s-48"></span>
                    </div>
                    <div class="counter-title">Total Earnings</div>
                    <h5 class="mt-3"><?php echo e(number_format($total_earnings)); ?></h5>
                </div>
            </div>
        </div>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('article-management')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('article-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-note-list text-light-blue s-48"></span>
                        </div>
                        <div class="counter-title">Articles Count</div>
                        <h5 class="mt-3"><?php echo e($articles_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('disease-page')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('disease-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-bug_report s-48 text-green"></span>
                        </div>
                        <div class="counter-title ">Disease Count</div>
                        <h5 class="mt-3"><?php echo e($diseases_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category-management')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('topics-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-chrome_reader_mode s-48 text-red"></span>
                        </div>
                        <div class="counter-title">Categories Count</div>
                        <h5 class="mt-3"><?php echo e($topics_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-management')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('user_management-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-user s-48 text-purple"></span>
                        </div>
                        <div class="counter-title">Total Signups</div>
                        <h5 class="mt-3"><?php echo e($users_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-management')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('user_management-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-payment s-48 text-yellow"></span>
                        </div>
                        <div class="counter-title">Paid Subscribers</div>
                        <h5 class="mt-3"><?php echo e($registered_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
        
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('reporting-sehat-scan-report')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('report-sehat_scan_report')); ?>" class="text-black">
            <div class="counter-box white r-5 p-3">
                <div class="p-4">
                    <div class="float-right">
                        <span class="icon icon-video-camera s-48 text-info"></span>
                    </div>
                    <div class="counter-title">Scan's count</div>
                    <h5 class="mt-3"><?php echo e($scans_count); ?></h5>
                </div>
            </div>
        </a>
    </div>
    <?php endif; ?>


        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('drug-page')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('drug-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <img src="<?php echo e(asset('admin/img/icon/drug.png')); ?>" style="width:80px; height:80px">
                        </div>
                        <div class="counter-title">Drugs Count</div>
                        <h5 class="mt-3"><?php echo e($drugs_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>

        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-management')): ?>
        <div class="col-md-3 my-2">
            <a href="<?php echo e(route('user_management-view')); ?>" class="text-black">
                <div class="counter-box white r-5 p-3">
                    <div class="p-4">
                        <div class="float-right">
                            <span class="icon icon-newspaper-o s-48 text-danger"></span>
                        </div>
                        <div class="counter-title">Newsletter Subscribers</div>
                        <h5 class="mt-3"><?php echo e($newsletter_count); ?></h5>
                    </div>
                </div>
            </a>
        </div>
        <?php endif; ?>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    $(document).ready(function() {

        $('#start_date').change(function() {
            validateDate();
        })
        $('#end_date').change(function() {
            validateDate();
        })
        window.validateDate = function() {
            var start_date = new Date($('#start_date').val());
            var end_date = new Date($('#end_date').val());

            if (start_date > end_date) {
                $('.start_date_error').show()
            } else {
                $('.start_date_error').hide()
            }
        }

    })

</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/dashboard.blade.php ENDPATH**/ ?>