<?php
$input_field = [
    'label' => 'Translation Of',
    'name' => 'translation_of',
    'options' => $english_records,
    'value_element' => 'id',
    'label_element' => $english_records_name_element,
    'html_params' => ['required' => 'required'],
];
?>

<?php if($result): ?>
    <h6><?php echo e($result->lang_id != App\Models\Language::ENGLISH ? (isset($result->translationOf) ? 'Translation of: ' . $result->translationOf[$english_records_name_element] : 'Parent Record') : 'Parent Record'); ?>

    </h6>
    <input type="hidden" name="<?php echo e($input_field['name']); ?>" value="<?php echo e($result['translation_of']); ?>">
<?php else: ?>
    <div class="col-md-6 mb-3 translation_of_div" style="display: none;">
        <label for="<?php echo e($input_field['name']); ?>"><?php echo e($input_field['label']); ?></label>
        <select id="<?php echo e($input_field['name']); ?>" name="<?php echo e($input_field['name']); ?>" class="form-control translation_of">
            <option value=''>Select Parent</option>
            <option value='parent'>Parent Record</option>
            <?php $__currentLoopData = $input_field['options']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($option[$input_field['value_element']]); ?>"
                    <?php if($result): ?> <?php if($result['translation_of'] == $option[$input_field['value_element']]): ?>
                     selected <?php endif; ?>
                    <?php endif; ?>><?php echo e($option[$input_field['label_element']]); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = [$input_field['name']];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
            <div class="validation-error"> <?php echo e($message); ?></div>
        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
<?php endif; ?>

<?php $__env->startPush('scripts'); ?>
<script>
    $(document).ready(function() {


        $('.lang_id').change(function() {
            var lang_id = $(this).val();
            if (lang_id == '1') {
                $('.translation_of').removeAttr('required');
                $('.translation_of_div').slideUp();
                
            } else {
                $('.translation_of').attr('required','required');
                $('.translation_of_div').slideDown();
            }
        })
    })

</script>
<?php $__env->stopPush(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/general_crud/english_records_dropdown.blade.php ENDPATH**/ ?>