
<?php
$lang_id = request()->route()->parameters['lang_id'];
($language = App\Models\Language::find(decrypt($lang_id)));
?>
<?php $__env->startSection('page_header'); ?>
All <?php echo e(Str::plural($module_name) . " (".$language->name.")"); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container my-3">
    <div class="card p-3">
        <div class="row">
            <div class="col-md-12">
                
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("menu-management-add")): ?>
                <div class="box-header with-border">
                    <div class="d-flex justify-content-start">
                        <a href="<?php echo e(route($folder_name . '-add',['lang_id' => $lang_id])); ?>" class="btn-success btn-sm btn mb-2 cursor-pointer">
                            <i class=" icon-add"></i>
                            Add New
                        </a>
                    </div>
                </div>
                <?php endif; ?>

                <form method="post">
                    <?php echo csrf_field(); ?>
                    <table id="yajra" class="table table-bordered table-hover data-tables" style="width:100%;">
                        <thead>
                            <tr>
                                <th width=" 10px">#</th>
                                <th class="">Name</th>
                                <th class="">Type</th>
                                <th class="">Language</th>
                                <th class="">Status</th>
                                <th width="150px">Action</th>
                            </tr>
                        </thead>
                        <tbody class="">

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    search_start();
    $('#search_category').change(function() {
        search_start();
    })
    $('#search_status').change(function() {
        search_start();
    })
    $('#search_language').change(function() {
        search_start();
    })

    function search_start() {
        if ($.fn.DataTable.isDataTable("#yajra")) $("#yajra").DataTable().destroy();
        //Start getting filters

        let category = $('#search_category').val();
        let status = $('#search_status').val();
        let language = $('#search_language').val();

        $('#yajra').DataTable({
            "scrollX": true
            , processing: true
            , serverSide: true
            , ajax: {
                url: "<?php echo e(route('menu-fetch',['lang_id' => $lang_id])); ?>"
                , type: "GET"
                , data: {
                    filter: "<?php echo e(app('request')->input('q')); ?>"
                    , category: category
                    , status: status
                    , language: language
                , }
            }
            , createdRow: function(row, data, dataIndex) {}
            , columns: [{
                    data: 'id'
                    , render: function(data, type, row, index) {
                        return index.row + 1;
                    }
                }
                , {
                    data: 'name'
                }
                , {
                    render: function(data, type, row) {
                        return ucwords(row.type.replace(/-/gi, " "));
                    }
                }
                , {
                    data: 'language.name'
                }
                , {
                    data: 'status'
                    , render: function(data, type, row) {
                        if (row.status == 1) {
                            return '<span class="badge p-2 badge-success">Enable</span>';
                        } else {
                            return '<span class="badge p-2 badge-danger">Disabled</span>';
                        }
                    }
                }
                , {
                    data: 'id'
                    , render: function(data, type, row) {
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("menu-management-view")): ?>
                        let e_url = ("<?php echo e(route('menu-edit', ['id' => '-id-','lang_id' => $lang_id])); ?>").replace('-id-'
                            , row.e_id);
                        let d_url = ("").replace('-id-', row.e_id);
                        return `<a class="btn-primary btn-sm btn cursor-pointer" href="${e_url}"> <i class="icon-edit"></i></a>`;
                        <?php else: ?>
                        return '-';
                        <?php endif; ?>
                    }
                }
            , ]
            , "drawCallback": function(settings) {}
        });
    }


    $('#yajra_filter').children().children().val("<?php echo e(app('request')->input('search')); ?>")
    $('#yajra_filter').children().children().trigger("keyup");


    function copyToClipboard(element) {
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(element).data('text')).select();
        document.execCommand("copy");
        $temp.remove();
    }

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/menu/view.blade.php ENDPATH**/ ?>