<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon">
    <title><?php echo e(env('APP_NAME')); ?> - <?php echo $__env->yieldContent('page_header'); ?></title>
    <!-- CSS -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link href="<?php echo e(asset('admin/toastr/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="<?php echo e(asset('admin/css/app.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/css/dropify.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" href="<?php echo e(asset('admin/css/qrcode-reader.min.css')); ?>">
    <!-- include summernote css -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" />
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">

    <!-- Moyasar Styles -->
    

    <link rel="stylesheet" href="<?php echo e(asset('admin/switch/tailwind-switch.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-validator/0.5.3/css/bootstrapValidator.min.css" />
    <?php echo $__env->yieldPushContent('css'); ?>
    <style>
        .loader {
            position: fixed;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: #F5F8FA;
            z-index: 9998;
            text-align: center;
        }

        .plane-container {
            position: absolute;
            top: 50%;
            left: 50%;
        }

        .validation-error {
            width: 100%;
            margin-top: .25rem;
            font-size: 80%;
            color: #ed5564;
        }

    </style>
    <!-- Js -->
    <!--
    --- Head Part - Use Jquery anywhere at page.
    --- http://writing.colin-gourlay.com/safely-using-ready-before-including-jquery/
    -->
    <script>
        (function(w, d, u) {
            w.readyQ = [];
            w.bindReadyQ = [];

            function p(x, y) {
                if (x == "ready") {
                    w.bindReadyQ.push(y);
                } else {
                    w.readyQ.push(x);
                }
            };
            var a = {
                ready: p
                , bind: p
            };
            w.$ = w.jQuery = function(f) {
                if (f === d || f === u) {
                    return a
                } else {
                    p(f)
                }
            }
        })(window, document)

    </script>
</head>

<body class="light">
    <!-- Pre loader -->
    <?php echo $__env->make('layouts.admin.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div id="app">
        <div class="page has-sidebar-left">
            <div class="navbar navbar-expand d-flex navbar-dark justify-content-between bd-navbar blue accent-3 shadow d-print-none">

                <div class="relative">
                    <div class="d-flex justify-content-between">
                        <div class="d-none d-md-block">
                            <h1 class="nav-title text-white "><?php echo $__env->yieldContent('page_header'); ?></h1>
                        </div>
                    </div>
                </div>

                <div class="relative">
                    <div class="d-flex justify-content-between align-items-center">

                        <div class="d-none d-md-block cursor-pointer">
                            <h1 class="nav-title text-white mb-2 pb-1 close_iframe">&times;</h1>
                        </div>
                    </div>
                </div>
            </div>

            
            <?php echo $__env->yieldContent('content'); ?>
            


            <!-- Right Sidebar -->
            
            <!-- /.right-sidebar -->
            <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
            <div class="control-sidebar-bg shadow white fixed"></div>
        </div>
        <!--/#app -->
        <script src="<?php echo e(asset('admin/js/app.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/qrcode-reader.min.js')); ?>"></script>

        
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous">
        </script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous">
        </script>
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        

        <script src="<?php echo e(asset('admin/toastr/toastr.min.js')); ?>"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo e(env('GOOGLE_MAPS_API_KEY')); ?>&callback=initMap&amp;sensor=false&amp;libraries=places">
        </script>
        <script src="<?php echo e(asset('admin/js/locationpicker.js')); ?>"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/js/dropify.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote.min.js"></script>
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-validator/0.5.3/js/bootstrapValidator.min.js"></script>
        <!-- include summernote js -->
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>

        <script src="https://polyfill.io/v3/polyfill.min.js?features=fetch"></script>
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js"></script>

        <script src="<?php echo e(asset('admin/switch/jquery-tailwind-toggle.js')); ?>"></script>
        <?php echo $__env->make('layouts.admin.widgets_modals', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->yieldPushContent('widget_modals'); ?>
        <script>
            <?php if(Session::has('message')): ?>
            toastr["<?php echo e(Session::get('type')); ?>"]("<?php echo e(Session::get('message')); ?>", "<?php echo e(Session::get('title')); ?>")
            window.parent.refreshIframe();
            <?php endif; ?>
            $('#disable_enter_submit').on('keyup keypress', function(e) {
                var keyCode = e.keyCode || e.which;
                if (keyCode === 13) {
                    e.preventDefault();
                    return false;
                }
            });
            (function() {
                'use strict';
                window.addEventListener('load', function() {
                    // Fetch all the forms we want to apply custom Bootstrap validation styles to
                    var forms = document.getElementsByClassName('needs-validation');
                    // Loop over them and prevent submission
                    var validation = Array.prototype.filter.call(forms, function(form) {
                        form.addEventListener('submit', function(event) {
                            if (form.checkValidity() === false) {
                                event.preventDefault();
                                event.stopPropagation();
                                console.log("false")
                            } else {
                                console.log("true")
                            }
                            form.classList.add('was-validated');
                        }, false);
                    });
                }, false);
            })();

            $(document).ready(function() {
                $('#loader').fadeOut()
                $('.dropify').dropify();
                $('.summernote').summernote({
                    onPaste: function(e) {
                        var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');
                        e.preventDefault();
                        document.execCommand('insertText', false, bufferText);
                    }
                    , toolbar: [
                        ['styleTags', []]
                        , ['cleaner', ['cleaner']], // The Button
                        ['style', ['style']]
                        , ['font', ['bold', 'italic', 'underline', 'clear']]
                        , ['para', ['ul', 'ol', 'paragraph']]
                        , ['table', ['table']]
                        , ['insert', ['hr']]
                        , ['view', ['fullscreen', 'codeview']]
                    ]
                });
                $('[data-toggle="tooltip"]').tooltip()

                $.qrCodeReader.jsQRpath = "<?php echo e(asset('admin/dist/js/jsQR/jsQR.min.js')); ?>";
                $.qrCodeReader.beepPath = "<?php echo e(asset('admin/dist/audio/beep.mp3')); ?>";
                var element = "#openreader-btn-0";
                var target = "#target-input-0";
                $(element).qrCodeReader({
                    target: target
                    , audioFeedback: true
                    , multiple: false
                    , skipDuplicates: true
                , });

                $(".token_tags").select2({
                    placeholder: "Tags", //placeholder
                    tags: true
                    , tokenSeparators: ['/', ',', ';', " "]
                , });

                $(".token_article").select2({
                    placeholder: "Articles", //placeholder
                    tags: true
                    , tokenSeparators: ['/', ',', ';', " "]
                , });

                $('[data-toggle="tooltip"]').tooltip()
                $(".sortable").sortable({
                    revert: true
                });

                $(document).on("click", ".close_iframe", function() {
                    window.parent.$('.modal').modal('hide');
                });
                
            })

        </script>
        <?php echo $__env->yieldPushContent('scripts'); ?>
        <?php echo $__env->yieldPushContent('widget_scripts'); ?>




        <!--
--- Footer Part - Use Jquery anywhere at page.
--- http://writing.colin-gourlay.com/safely-using-ready-before-including-jquery/
-->
</body>

</html>
<?php /**PATH E:\laravel_projects\MeriSehat\resources\views/layouts/widget/app.blade.php ENDPATH**/ ?>