
<?php $__env->startSection('page_header'); ?>
All <?php echo e(Str::plural($module_name)); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container my-3">
    <div class="card p-3">
        <div class="row">
            <div class="col-md-12">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category-management-add')): ?>
                <div class="box-header with-border">
                    <div class="d-flex justify-content-start">
                        <a href="<?php echo e(route($folder_name . '-add')); ?>" class="btn-success btn-sm btn mb-2 cursor-pointer">
                            <i class=" icon-add"></i>
                            Add New
                        </a>
                    </div>
                </div>
                <?php endif; ?>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="search_language">Language</label>
                        <select class="form-control" id="search_language" name="search_language">
                            <option value=""> Select Language </option>
                            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($language->id); ?>">
                                <?php echo e($language->name); ?>

                            </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['search_language'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="search_status">Status</label>
                        <select class="form-control" id="search_status" name="search_status">
                            <option value=""> Select Status </option>
                            </option>
                            <option value="1"> Enable </option>
                            </option>
                            <option value="0"> Disable </option>
                            </option>
                        </select>
                        <?php $__errorArgs = ['search_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="search_category">Category</label>
                        <select class="form-control" id="search_category" name="search_category">
                            <option value=""> Select Category </option>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parent): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($parent->id); ?>">
                                <?php if($parent->parent): ?>
                                <?php echo e($parent->parent->title . ' > ' . $parent->title); ?>

                                <?php else: ?>
                                <?php echo e($parent->title); ?>

                                <?php endif; ?>
                            </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['search_category'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>
                <form method="post" action="<?php echo e(route($folder_name . '-view')); ?> ">
                    <?php echo csrf_field(); ?>
                    <table id="yajra" class="table table-bordered table-hover data-tables" style="width:100%;">
                        <thead>
                            <tr>
                                <th width=" 10px">#</th>
                                <th class="">Title</th>
                                <th class="">Parent</th>
                                <th class="">Image</th>
                                <th class="">Status</th>
                                <th width="150px">Action</th>
                            </tr>
                        </thead>
                        <tbody class="">

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    search_start();
    $('#search_category').change(function() {
        search_start();
    })
    $('#search_status').change(function() {
        search_start();
    })
    $('#search_language').change(function() {
        search_start();
    })

    function search_start() {
        if ($.fn.DataTable.isDataTable("#yajra")) $("#yajra").DataTable().destroy();
        //Start getting filters

        let category = $('#search_category').val();
        let status = $('#search_status').val();
        let language = $('#search_language').val();

        $('#yajra').DataTable({
            "scrollX": true
            , processing: true
            , serverSide: true
            , ajax: {
                url: "<?php echo e(route('topics-fetch')); ?>"
                , type: "GET"
                , data: {
                    filter: "<?php echo e(app('request')->input('q')); ?>"
                    , category: category
                    , status: status
                    , language: language
                , }
            }
            , createdRow: function(row, data, dataIndex) {}
            , columns: [{
                    data: 'id'
                    , render: function(data, type, row, index) {
                        return index.row + 1;
                    }
                }
                , {
                    data: 'title'
                }
                , {
                    render: function(data, type, row) {
                        if (row.parent_id == 0 || row.parent_id == null) {
                            return 'Parent';
                        } else if (row.parent.parent == null) {
                            return row.parent.title;
                        } else {
                            return row.parent.parent.title + ' > ' + row.parent.title;
                        }
                    }
                , }
                , {
                    render: function(data, type, row, index) {
                        return " <img style='width:100px; height:100px;' src='" + row.outer_image_url +
                            "' >";
                    }
                }
                , {
                    data: 'status'
                    , render: function(data, type, row) {
                        if (row.status == 1) {
                            return '<span class="badge p-2 badge-success">Enable</span>';
                        } else {
                            return '<span class="badge p-2 badge-danger">Disabled</span>';
                        }
                    }
                }
                , {
                    data: 'id'
                    , render: function(data, type, row) {
                        let e_url = ("<?php echo e(route('topics-edit', ['id' => '-id-'])); ?>").replace('-id-'
                            , row.e_id);
                        let d_url = ("").replace('-id-', row.e_id);
                        let slugs = "<?php echo e(env('APP_URL')); ?>" + (row.lang_id != 1 ? row.language.slug + "/" + row.slug : row.slug);
                        let linking_page = ("<?php echo e(route('topics-linking-page', ['id' => '-id-'])); ?>").replace('-id-', row.e_id);
                        let btn = ``;
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category-management-view')): ?>
                        btn += ` <a class="btn-primary btn-sm my-2 btn cursor-pointer" href="${e_url}"> <i class="icon-edit"></i></a>`;
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('category-management-page-layout')): ?>
                        btn += `<a class="btn-primary btn-sm my-2 btn cursor-pointer" title="Edit Page Layout"
                                    href="${linking_page}"> <i
                                        class="icon-document-edit2"></i>
                                </a>`;
                        <?php endif; ?>
                        btn += ` <a class="btn-warning btn-sm my-2 btn cursor-pointer" title="Copy to Clipboard"
                                    onclick="copyToClipboard(this)" data-text="${slugs}"> <i
                                        class="icon-clipboard"></i>
                                </a>`;
                        return `<div style="display: flex; gap:10px;">
                                    ${btn}
                                </div>
                            `;

                    }
                }
            , ]
            , "drawCallback": function(settings) {}
        });
    }


    $('#yajra_filter').children().children().val("<?php echo e(app('request')->input('search')); ?>")
    $('#yajra_filter').children().children().trigger("keyup");

    function copyToClipboard(element) {
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(element).data('text')).select();
        document.execCommand("copy");
        $temp.remove();
    }

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/topics/view.blade.php ENDPATH**/ ?>