
<?php $__env->startSection('page_header'); ?>
All <?php echo e(Str::plural($module_name)); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container my-3">
    <div class="">
        <div class="row">

            <div class="card p-3 col-md-12 mb-4">
                <div class="box-header with-border">
                    <h5 class="ml-3">Filter <span class="icon icon-filter"></span></h5>
                    <form>
                        <div class="d-flex justify-content-start">

                           
                        <div class="col-md-4 mb-3">
                            <label for="start_date">Start Date</label>
                            <input type="date" id="start_date" name="start_date" class="form-control">
                            
                            <div class="text-danger start_date_error" style="display: none">Start Date Cannot be greater than End Date</div>
                            
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="end_date">End Date</label>
                            <input type="date" id="end_date" name="end_date" class="form-control">
                        </div>
                            <div class="col-md-4 mb-3">
                                <label for="search_language">Actions:</label>
                                <br>
                                
                                <button type="button" id="fetch"  class="btn-success btn-sm btn mb-2 cursor-pointer">
                                    <i class="icon-search4"></i>
                                    Fetch Report
                                </button>
                                
                                <a href="<?php echo e(route('report-sehat_scan_report')); ?>" class="btn-warning btn-sm btn mb-2 cursor-pointer">
                                    &times;
                                    Clear
                                </a>
                                
                            </div>



                        </div>
                    </form>
                </div>
            </div>
            <div class="card p-3 col-md-12">
                
        <form method="post">
            <?php echo csrf_field(); ?>
            
            <br>
            <table id="yajra" class="table table-bordered table-hover data-tables" style="width:100%;">
                <thead>
                    <tr>
                        <th width=" 10px">#</th>
                        <th class="">User</th>
                        <th class="">IP-Address</th>
                        <th class="">Blood Pressure</th>
                        <th class="">Stress Level</th>
                        <th class="">Respiratory Rate</th>
                        <th class="">SPO2</th>
                        <th class="">Heart Rate</th>
                        <th class="">SDNN</th>
                        <th class="">BMI</th>
                    </tr>
                </thead>
                <tbody class="">
                    
                </tbody>
            </table>
        </form>
    </div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    search_start();

    $('#fetch').click(function() {
        search_start('fetch');
    })
    $('#download').click(function() {
        search_start('download');
    })
    function search_start(action = 'fetch') {
        if ($.fn.DataTable.isDataTable("#yajra")) $("#yajra").DataTable().destroy();
        //Start getting filters

        $('#yajra').DataTable({
            "scrollX": true
            , processing: true
            , serverSide: true
            , ajax: {
                url: "<?php echo e(route('report-sehat_scan_report-fetch')); ?>"
                , type: "GET"
                , data: {
                    action,
                    filter: "<?php echo e(app('request')->input('q')); ?>"
                , }
            }
            , createdRow: function(row, data, dataIndex) {}
            , columns: [{render: function(data, type, row, index) {
                        return index.row + 1;
                    }
                }
                , {
                    render: function(data, type, row, index) {
                        if(row.user != null){
                            return row.user.name ?? 'Unnamed User'
                        }else{
                            return "Guest"
                        }
                    }
                }
                , {
                    data: 'ip_address'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
                , {
                    data: 'blood_pressure'
                }
            , ]
            , "drawCallback": function(settings) {}
        });
    }
    $('#yajra_filter').children().children().val("<?php echo e(app('request')->input('search')); ?>")
    $('#yajra_filter').children().children().trigger("keyup");

    function copyToClipboard(element) {
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(element).data('text')).select();
        document.execCommand("copy");
        $temp.remove();
    }


    $(document).ready(function() {

$('#start_date').change(function() {
    validateDate();
})
$('#end_date').change(function() {
    validateDate();
})
window.validateDate = function() {
    var start_date = new Date($('#start_date').val());
    var end_date = new Date($('#end_date').val());

    if (start_date > end_date) {
        $('.start_date_error').show()
    } else {
        $('.start_date_error').hide()
    }
}

})

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/report/sehat_scan.blade.php ENDPATH**/ ?>