
<?php $__env->startSection('form'); ?>
    <!-- MultiStep Form -->
    <div class="row">
        <div class="col-md-12">
            <form id="msform" method="post" enctype="multipart/form-data" class="needs-validation" novalidate>
                <div class="text-center">
                    <img src="<?php echo e(asset('admin/img/logo.svg')); ?>" alt="" class="logo">
                </div>
                <?php echo csrf_field(); ?>
                <!-- progressbar -->
                <ul id="progressbar">
                    <li class="active">About You</li>
                    <li>Education & Experience</li>
                    <li>Consultation details</li>
                </ul>
                <!-- fieldsets -->
                <fieldset>
                    <h2 class="fs-title">About You</h2>
                    <h3 class="fs-subtitle">Tell us something more about you</h3>

                    <label>Prefix</label>
                    <select name="prefix" class="form-control mb-2" required>
                        <option value="Dr" <?php echo e($result ? ($result->doctorDetail->prefix == 'Dr' ? 'selected' : '') : ''); ?>> Dr </option>
                        <option value="Prof" <?php echo e($result ? ($result->doctorDetail->prefix == 'Prof' ? 'selected' : '') : ''); ?>> Prof </option>
                        <option value="Mr" <?php echo e($result ? ($result->doctorDetail->prefix == 'Mr' ? 'selected' : '') : ''); ?>> Mr </option>
                        <option value="Mrs" <?php echo e($result ? ($result->doctorDetail->prefix == 'Mrs' ? 'selected' : '') : ''); ?>> Mrs </option>
                    </select>

                    <label>Full Name</label>
                    <input type="text" name="name" value="<?php echo e($result ? $result->name : ''); ?>" required
                        class="form-control" placeholder="Full Name" />

                    <label>Mobile Number</label>
                    <input type="text" id="phone" name="phone" value="<?php echo e($result ? $result->phone : ''); ?>" required
                        class="form-control phone" placeholder="Mobile Number"/>

                    <label>Email address</label>
                    <input type="email" name="email" pattern=".*@\w{2,}\.\w{2,}" value="<?php echo e($result ? $result->email : ''); ?>" required
                        class="form-control" placeholder="Email address" />

                    <label>Date of birth</label>
                    <input type="text" required class="form-control datepicker" name="birth_date"
                        placeholder="Date of birth" required value="<?php echo e($result ? $result->birth_date : ''); ?>" />

                    
                    <label>PMC Number</label>
                    <input type="text" name="pmc_no" class="form-control" required placeholder="PMC Number"
                        value="<?php echo e($result ? $result->doctorDetail->pmc_no : ''); ?>" />

                    <label>Gender</label>
                    <select name="gender" class="form-control mb-2" required>
                        <option value="male" <?php echo e($result ? ($result->gender == 'male' ? 'selected' : '') : ''); ?>>Male
                        </option>
                        <option value="female" <?php echo e($result ? ($result->gender == 'female' ? 'selected' : '') : ''); ?>>Female
                        </option>
                    </select>

                    <label>City</label>
                    <select name="city_id" class="form-control mb-2" required>
                        <option value="" > Select City </option>
                        <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($city->id); ?>" <?php echo e($result ? ($result->city->name == $city->name ? 'selected' : '') : ''); ?>> <?php echo e($city->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>

                    <label>Total experience in years</label>
                        <select class=" form-control w-100 mb-2" name="expeirence_years">
                            <?php for($i = 1; $i < 50; $i++): ?>
                            <option value="<?php echo e($i); ?>"
                                <?php echo e($result ? ($result->doctorDetail->experience_year == $i ? 'selected' : '') : ''); ?>>
                                <?php echo e($i); ?></option>
                            <?php endfor; ?> 
                        </select>

                    <label>Average waiting time in mins</label>
                        <select class=" form-control w-100 mb-2" name="waiting_time">
                            <?php for($i = 5; $i < 65; $i += 5): ?>
                            <option value="<?php echo e($i); ?>"
                                <?php echo e($result ? ($result->doctorDetail->waiting_time == $i ? 'selected' : '') : ''); ?>>
                                <?php echo e($i); ?></option>
                            <?php endfor; ?> 
                        </select>

                    <label>Doctor Badge</label>
                    <select name="badge" class="form-control mb-2" required>
                        <option value="silver" <?php echo e($result ? ($result->doctorDetail->badge == 'silver' ? 'selected' : '') : ''); ?>> Silver </option>
                        <option value="gold" <?php echo e($result ? ($result->doctorDetail->badge == 'gold' ? 'selected' : '') : ''); ?>> Gold </option>
                        <option value="platinum" <?php echo e($result ? ($result->doctorDetail->badge == 'platinum' ? 'selected' : '') : ''); ?>> Platinum </option>
                    </select>

                    <label>Introduction about My Self</label>
                    <textarea name="about" rows="4" class="form-control" cols="50"
                        placeholder="Introduction about My Self"><?php echo e($result ? $result->doctorDetail->about : ''); ?></textarea>

                    <label>Profile image</label>
                    <input type="file" name="image" class="form-control dropify"
                        data-default-file="<?php echo e($result ? asset('storage/' . $result->image) : ''); ?>"/>



                    <h2 class="fs-title mt-3">Specialties and Services</h2>
                    <h3 class="fs-subtitle">Please select your Specialties and their respective services</h3>

                    <label>Select your specialities</label>
                    <?php
                        $doctor_specialities = [];
                        if ($result) {
                            $doctor_specialities = $result->doctorSpecialities->pluck('speciality_id')->toArray();
                        }
                    ?>
                    <select class="multi_select form-control w-100 specialities" name="specialities[]" multiple="multiple">
                        <?php $__currentLoopData = $specialities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $speciality): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($speciality->id); ?>"
                                <?php echo e($result ? (in_array($speciality->id, $doctor_specialities) ? 'selected' : '') : ''); ?>>
                                <?php echo e($speciality->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>


                    <label>Select your services</label>
                    <select class="multi_select form-control w-100 services" name="services[]" multiple="multiple">
                        <?php if($result): ?>
                            <?php $__currentLoopData = $result->doctorServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $doctor_service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($doctor_service->service->id); ?>" selected>
                                    <?php echo e($doctor_service->service->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </select>


                    <input type="submit" name="next" class="text-center action-button-green form-control" value="Next" />
                </fieldset>

            </form>
        </div>
    </div>
    <!-- /.MultiStep Form -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script>
        $('.specialities').change(function() {
            var specialities = $(this).val();
            $('.services').html('');
            console.log(specialities)
            $.ajax({
                url: "<?php echo e(route('register_doctor_get_services')); ?>",
                type: 'GET',
                data: {
                    specialities,
                    '_token': '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    if (response.status) {
                        $("#loader").fadeOut();

                        $('.services').html(response.html);

                    } else {
                        $("#loader").fadeOut();
                        swal({
                            title: response.message,
                            icon: "error"
                        })
                    }
                },
            })
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.register_doctor.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/register_doctor/about_you.blade.php ENDPATH**/ ?>