
<?php $__env->startSection('page_header'); ?>
Booking Detail
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid card m-2">

    <div class="row my-3">

        <div class="col-md-12">
            <div class="white mb-3">
                <strong> General Details</strong>
                <hr>
            </div>
        </div>

        <div class="col-md-12 ml-3">
            <dl class="row">
                <dt class="col-sm-3">Appointment Type</dt>
                <dd class="col-sm-9"><?php echo e(Str::headline($appointment->type)); ?></dd>

                <dt class="col-sm-3">Date & Time</dt>
                <dd class="col-sm-9">
                    <?php echo e(Carbon\Carbon::parse($appointment->date ."" .$appointment->time,)->isoFormat('llll')); ?>

                </dd>

                

                <dt class="col-sm-3">Reason</dt>
                <dd class="col-sm-9"><?php echo e($appointment->reaseon ?? '-'); ?></dd>

                <dt class="col-sm-3">Progress</dt>
                <dd class="col-sm-9"><?php echo e(Str::headline($appointment->progress)); ?></dd>

                <dt class="col-sm-3">Consultation Fee</dt>
                <dd class="col-sm-9">Rs. <?php echo e($appointment->consultation_fee ?? '0'); ?></dd>

                <dt class="col-sm-3">Paid</dt>
                <dd class="col-sm-9">
                    <?php if($appointment->is_paid): ?>
                    <span class="badge p-2 badge-success">Paid</span>
                    <?php else: ?>
                    <span class="badge p-2 badge-danger">Not Paid</span>
                    <?php endif; ?>
                </dd>
            </dl>
        </div>
    </div>
    <hr>
    <div class="row my-3">

        <div class="col-md-12">
            <div class="white mb-3">
                <strong> Involved Entities</strong>
            </div>
            <hr>
        </div>
        <div class="col-md-4">
            <div class="card">
                <div class="card-header white">
                    <strong> <i class="icon icon-user s-18"></i> Patient Details </strong>
                </div>
                <div class="card-body text-center">
                    <?php if($appointment->patient): ?>
                    <div class="image m-3">
                        <img class="user_avatar rounded-circle no-b no-p r-5" src="<?php echo e(asset('storage/' . $appointment->patient->image)); ?>" alt="Patient Image">
                    </div>
                    <?php endif; ?>
                    <div>
                        <h6 class="p-t-10">
                            <?php echo e($appointment->doctor ? $appointment->patient->name : '-'); ?></h6>
                        <i class="icon icon-envelope-o s-18"></i>
                        <?php echo e($appointment->doctor ? $appointment->patient->email : '-'); ?>

                        <br>
                        <i class="icon icon-phone2 s-18"></i>
                        <?php echo e($appointment->doctor ? $appointment->patient->phone : '-'); ?>

                    </div>
                    <?php if($appointment->patient): ?>
                    <a href="<?php echo e(route('admin_users-edit', ['id' => $appointment->patient->e_id])); ?>" class="btn btn-success btn-sm mt-3">View Profile</a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <hr>
        <div class="col-md-4">
            <div class="card">
                <div class="card-header white">
                    <strong> <i class="icon icon-user-md s-18"></i> Doctor Details </strong>
                </div>

                <div class="card-body text-center">
                    <?php if($appointment->doctor): ?>
                    <div class="image m-3">
                        <img class="user_avatar rounded-circle no-b no-p r-5" src="<?php echo e(asset('storage/' . $appointment->doctor->image)); ?>" alt="Doctor Image">
                    </div>
                    <?php endif; ?>
                    <div>
                        <h6 class="p-t-10">
                            <?php echo e($appointment->doctor ? $appointment->doctor->name : '-'); ?></h6>
                        <i class="icon icon-envelope-o s-18"></i>
                        <?php echo e($appointment->doctor ? $appointment->doctor->email : '-'); ?>

                        <br>
                        <i class="icon icon-phone2 s-18"></i>
                        <?php echo e($appointment->doctor ? $appointment->doctor->phone : '-'); ?>

                    </div>
                    <?php if($appointment->doctor): ?>
                    <a href="<?php echo e(route('doctor-edit', ['id' => $appointment->doctor->e_id])); ?>" class="btn btn-success btn-sm mt-3">View Profile</a>
                    <?php endif; ?>
                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card">
                <div class="card-header white">
                    <strong> <i class="icon icon-building-o s-18"></i> Clinic Details </strong>
                </div>
                <div class="card-body text-center">
                    <div>
                        <h6 class="p-t-10">
                            <?php echo e($appointment->doctorClinic->clinic ? $appointment->doctorClinic->clinic->name : '-'); ?>

                        </h6>
                        <i class="icon icon-envelope-o s-18"></i>
                        <?php echo e($appointment->doctorClinic->clinic->email ? $appointment->doctorClinic->clinic->email : '-'); ?>

                        <br>
                        <i class="icon icon-phone2 s-18"></i>
                        <?php echo e($appointment->doctorClinic->clinic->phone ? $appointment->doctorClinic->clinic->phone : '-'); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row my-3">

        <div class="col-md-12">
            <div class="white mb-3">
                <strong> Prescription Details</strong>
                <hr>
            </div>
        </div>

        <div class="col-md-12 ml-3">
            <dl class="row">
                <?php if($appointment->getPrescription && $appointment->getPrescription->prescribedMedicine): ?>
                <?php $__currentLoopData = $appointment->getPrescription->prescribedMedicine; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $prescribed_element): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <dt class="col-sm-3"><?php echo e($prescribed_element->prescriptionElement->type->name ?? '-'); ?></dt>
                <?php if($prescribed_element->prescriptionElement->type->id == 1): ?>
                <dd class="col-sm-9"><?php echo e($prescribed_element->prescriptionElement->name ? $prescribed_element->prescriptionElement->name . " (".$prescribed_element->dosage." Units) For " . $prescribed_element->number_of_days ." day(s). ". App\Http\Common\Constant::$numberWords[$prescribed_element->per_day] . " a day. " . ($prescribed_element->is_after_meal ? "After Meal" : "Before Meal") . "." : '-'); ?></dd>
                <?php else: ?>
                <dd class="col-sm-9"><?php echo e($prescribed_element->prescriptionElement->name ?? '-'); ?></dd>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </dl>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    $(document).ready(function() {

    })

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/appointment/detail.blade.php ENDPATH**/ ?>