
<?php $__env->startSection('page_header'); ?>
All <?php echo e(Str::plural($module_name)); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container my-3">
    <div class="card p-3">
        <div class="row">
            <div class="col-md-12">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("article-management-add")): ?>
                <div class="box-header with-border">
                    <div class="d-flex justify-content-start">
                        <a href="<?php echo e(route($folder_name . '-add')); ?>" class="btn-success btn-sm btn mb-2 cursor-pointer">
                            <i class=" icon-add"></i>
                            Add New
                        </a>
                    </div>
                </div>
                <?php endif; ?>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="search_language">Language</label>
                        <select class="form-control" id="search_language" name="search_language">
                            <option value=""> Select Language </option>
                            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($language->id); ?>">
                                <?php echo e($language->name); ?>

                            </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['search_language'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="search_status">Status</label>
                        <select class="form-control" id="search_status" name="search_status">
                            <option value=""> Select Status </option>
                            </option>
                            <option value="1"> Published </option>
                            </option>
                            <option value="0"> Un-Published </option>
                            </option>
                        </select>
                        <?php $__errorArgs = ['search_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="search_category">Category</label>
                        <select class="form-control" id="search_category" name="search_category">
                            <option value=""> Select Category </option>
                            </option>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($category->id); ?>"> <?php echo e($category->title); ?> </option>
                            </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['search_category'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="validation-error"> <?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>

                <form method="post" action="<?php echo e(route($folder_name . '-view')); ?> ">
                    <?php echo csrf_field(); ?>
                    <table id="yajra" class="table table-bordered table-hover data-tables" style="width:100%;">
                        <thead>
                            <tr>
                                <th width=" 10px">#</th>
                                <th class="">Name</th>
                                <th class="">Language</th>
                                <th class="">Category</th>
                                <th class="">Image</th>
                                <th class="">Status</th>
                                <th width="150px">Action</th>
                            </tr>
                        </thead>
                        <tbody class="">

                        </tbody>
                    </table>

                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    search_start();
    $('#search_category').change(function() {
        search_start();
    })
    $('#search_status').change(function() {
        search_start();
    })
    $('#search_language').change(function() {
        search_start();
    })

    function search_start() {
        if ($.fn.DataTable.isDataTable("#yajra")) $("#yajra").DataTable().destroy();
        //Start getting filters

        let category = $('#search_category').val();
        let status = $('#search_status').val();
        let locale = $('#search_language').val();

        $('#yajra').DataTable({
            "scrollX": true
            , processing: true
            , serverSide: true
            , ajax: {
                url: "<?php echo e(route('article-fetch')); ?>"
                , type: "GET"
                , data: {
                    filter: "<?php echo e(app('request')->input('q')); ?>"
                    , category: category
                    , status: status
                    , lang_id: locale
                }
            }
            , createdRow: function(row, data, dataIndex) {}
            , columns: [{
                    data: 'id'
                    , render: function(data, type, row, index) {
                        return index.row + 1;
                    }
                }
                , {
                    data: 'name'
                }
                , {
                    render: function(data, type, row, index) {
                        return row.language.name;
                    }
                }
                , {
                    render: function(data, type, row, index) {
                        return row.parent ? row.parent.title : "-";
                    }
                }
                , {
                    render: function(data, type, row, index) {
                        return " <img style='width:100px; height:100px;' src='" + row.image_url + "' >";
                    }
                }
                , {
                    data: 'status'
                    , render: function(data, type, row) {
                        if (row.status == 1) {
                            return '<span class="badge p-2 badge-success">Published</span>';
                        } else {
                            return '<span class="badge p-2 badge-danger">Un-Published</span>';
                        }
                    }
                }
                , {
                    data: 'id'
                    , render: function(data, type, row) {

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("article-management-edit")): ?>
                        let e_url = ("<?php echo e(route('article-edit', ['id' => '-id-'])); ?>").replace('-id-'
                            , row.e_id);
                        let d_url = ("").replace('-id-', row.e_id);
                        let slugs = 'article/' + row.slug;
                        slugs = "<?php echo e(env('APP_URL')); ?>" + slugs;
                        return `
                                <a class="btn-primary btn-sm btn cursor-pointer" href="${e_url}"> <i class="icon-edit"></i></a>
                            `;
                        <?php else: ?>
                        return '-';
                        <?php endif; ?>
                    }
                }
            , ]
            , "drawCallback": function(settings) {}
        });
    }


    $('#yajra_filter').children().children().val("<?php echo e(app('request')->input('search')); ?>")
    $('#yajra_filter').children().children().trigger("keyup");

    function copyToClipboard(element) {
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(element).data('text')).select();
        document.execCommand("copy");
        $temp.remove();
    }

</script>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\Harsham Zaman\LaravelProjects\e_com-boiler\resources\views/admin/article/view.blade.php ENDPATH**/ ?>