
<?php $__env->startSection('page_header'); ?>
All <?php echo e(Str::plural($module_name)); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container my-3">
    <div class="card p-3">
        <div class="row">
            <div class="col-md-12">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('default-page-add')): ?>
                <div class="box-header with-border">
                    <div class="d-flex justify-content-start">
                        <a href="<?php echo e(route($folder_name . '-add')); ?>" class="btn-success btn-sm btn mb-2 cursor-pointer">
                            <i class=" icon-add"></i>
                            Add New
                        </a>
                    </div>
                </div>
                <?php endif; ?>
                <form method="post" action="<?php echo e(route($folder_name . '-view')); ?> ">
                    <?php echo csrf_field(); ?>
                    <table id="yajra" class="table table-bordered table-hover data-tables" style="width:100%;">
                        <thead>
                            <tr>
                                <th width=" 10px">#</th>
                                <th class="">Name</th>
                                <th class="">Language</th>
                                <th class="">Image</th>
                                <th class="">Status</th>
                                <th width="150px">Action</th>
                            </tr>
                        </thead>
                        <tbody class="">

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    search_start();

    function search_start() {
        if ($.fn.DataTable.isDataTable("#yajra")) $("#yajra").DataTable().destroy();
        //Start getting filters

        $('#yajra').DataTable({
            "scrollX": true
            , processing: true
            , serverSide: true
            , ajax: {
                url: "<?php echo e(route('page-fetch')); ?>"
                , type: "GET"
                , data: {
                    filter: "<?php echo e(app('request')->input('q')); ?>"
                , }
            }
            , createdRow: function(row, data, dataIndex) {}
            , columns: [{
                    data: 'id'
                    , render: function(data, type, row, index) {
                        return index.row + 1;
                    }
                }
                , {
                    data: 'name'
                }
                , {
                    render: function(data, type, row, index) {
                        return row.language.name;
                    }
                }
                , {
                    render: function(data, type, row, index) {
                        return " <img style='width:100px; height:100px;' src='" + row.image_url + "' >";
                    }
                }
                , {
                    data: 'status'
                    , render: function(data, type, row) {
                        if (row.status == 1) {
                            return '<span class="badge p-2 badge-success">Enable</span>';
                        } else {
                            return '<span class="badge p-2 badge-danger">Disabled</span>';
                        }
                    }
                }
                , {
                    data: 'id'
                    , render: function(data, type, row) {
                        let e_url = ("<?php echo e(route('page-edit', ['id' => '-id-'])); ?>").replace('-id-'
                            , row.e_id);
                        let d_url = ("").replace('-id-', row.e_id);
                        let slugs = row.slug == 'home' ? '' : 'page/' + row.slug;
                        slugs = "<?php echo e(env('APP_URL')); ?>" + slugs;
                        let linking_page = ("<?php echo e(route('page-linking-page', ['id' => '-id-'])); ?>").replace('-id-', row.e_id);
                        // <a class="btn-primary my-2 btn-sm btn cursor-pointer" href="${e_url}"> <i class="icon-edit"></i></a>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('default-page-view')): ?>
                        return `<div style="display: flex; gap:10px;">
                            <div class="dropdown">
                                <button class="btn-primary btn-sm my-2 btn cursor-pointer" title="Edit Page Layout" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="icon-document-edit2"></i>
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a class="dropdown-item" href="${linking_page}/<?php echo e($language->id); ?>"><?php echo e($language->name); ?></a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>`;
                        <?php else: ?>
                        return '-';
                        <?php endif; ?>
                    }
                }
            , ]
            , "drawCallback": function(settings) {}
        });
    }
    $('#yajra_filter').children().children().val("<?php echo e(app('request')->input('search')); ?>")
    $('#yajra_filter').children().children().trigger("keyup");

    function copyToClipboard(element) {
        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($(element).data('text')).select();
        document.execCommand("copy");
        $temp.remove();
    }

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel_projects\MeriSehat\resources\views/admin/page/view.blade.php ENDPATH**/ ?>